import PropTypes from 'prop-types';
import React from 'react';
import classSet from 'classnames';

const Item = React.createClass({
    render() {
        const { mod, children } = this.props;
        const className = classSet({
            slide: true,
            [`slide__${mod}`]: mod !== undefined,
        });

        return <div className={className}>{children}</div>;
    },
});

// @if NODE_ENV='development'
Item.propTypes = {
    mod: PropTypes.string,
};
// @endif

export default Item;
